# MySQL dump 8.13
#
# Host: localhost    Database: mmm
#--------------------------------------------------------
# Server version	3.23.36

#
# Table structure for table 'aa_ArchiveAccess'
#

DROP TABLE IF EXISTS aa_ArchiveAccess;
CREATE TABLE aa_ArchiveAccess (
  aa_id int(11) NOT NULL auto_increment,
  aa_archiveid int(11) NOT NULL default '0',
  aa_userid varchar(50) NOT NULL default '',
  PRIMARY KEY  (aa_id)
) TYPE=MyISAM;

#
# Table structure for table 'ar_Archive'
#

DROP TABLE IF EXISTS ar_Archive;
CREATE TABLE ar_Archive (
  ar_id int(11) NOT NULL auto_increment,
  ar_name varchar(100) NOT NULL default '',
  ar_description varchar(250) NOT NULL default '',
  ar_userid varchar(50) NOT NULL default '',
  ar_medianetid int(11) NOT NULL default '0',
  PRIMARY KEY  (ar_id)
) TYPE=MyISAM;

#
# Table structure for table 'cc_CinemaContent'
#

DROP TABLE IF EXISTS cc_CinemaContent;
CREATE TABLE cc_CinemaContent (
  cc_id int(11) NOT NULL auto_increment,
  cc_cinemaid int(11) NOT NULL default '0',
  cc_showid int(11) NOT NULL default '0',
  cc_showorder int(11) NOT NULL default '0',
  cc_showtype int(11) NOT NULL default '0',
  PRIMARY KEY  (cc_id)
) TYPE=MyISAM;

#
# Table structure for table 'ci_Cinema'
#

DROP TABLE IF EXISTS ci_Cinema;
CREATE TABLE ci_Cinema (
  ci_id int(11) NOT NULL auto_increment,
  ci_name varchar(100) NOT NULL default '',
  ci_skinid int(11) NOT NULL default '0',
  ci_userid varchar(100) NOT NULL default '',
  ci_description varchar(250) default NULL,
  ci_isPublic char(2) NOT NULL default 'N',
  PRIMARY KEY  (ci_id)
) TYPE=MyISAM;

#
# Table structure for table 'fa_MediafileAccess'
#

DROP TABLE IF EXISTS fa_MediafileAccess;
CREATE TABLE fa_MediafileAccess (
  fa_id int(11) NOT NULL auto_increment,
  fa_archiveid int(11) NOT NULL default '0',
  fa_fileid int(11) NOT NULL default '0',
  PRIMARY KEY  (fa_id)
) TYPE=MyISAM;

#
# Table structure for table 'lc_LiveshowContent'
#

DROP TABLE IF EXISTS lc_LiveshowContent;
CREATE TABLE lc_LiveshowContent (
  lc_id int(11) NOT NULL auto_increment,
  lc_showid int(11) NOT NULL default '0',
  lc_clipid int(11) NOT NULL default '0',
  lc_showorder int(11) NOT NULL default '0',
  PRIMARY KEY  (lc_id)
) TYPE=MyISAM;

#
# Table structure for table 'ls_LiveShow'
#

DROP TABLE IF EXISTS ls_LiveShow;
CREATE TABLE ls_LiveShow (
  ls_id int(11) NOT NULL auto_increment,
  ls_serverid int(11) NOT NULL default '0',
  ls_userid varchar(50) NOT NULL default '',
  ls_picwidth varchar(5) NOT NULL default '240',
  ls_picheight varchar(5) NOT NULL default '180',
  ls_bandwidth varchar(20) NOT NULL default '1,2',
  ls_audiencerate varchar(30) default NULL,
  ls_videoquality int(11) NOT NULL default '1',
  ls_audioformat int(11) NOT NULL default '3',
  ls_title varchar(250) NOT NULL default '',
  ls_description varchar(250) NOT NULL default '',
  ls_startdate datetime NOT NULL default '0000-00-00 00:00:00',
  ls_enddate datetime NOT NULL default '0000-00-00 00:00:00',
  ls_author varchar(100) NOT NULL default '',
  ls_copyright varchar(100) NOT NULL default '',
  ls_encpass varchar(50) NOT NULL default '',
  ls_fileid int(11) NOT NULL default '0',
  PRIMARY KEY  (ls_id)
) TYPE=MyISAM;

#
# Table structure for table 'ls_LiveShow'
#

DROP TABLE IF EXISTS ma_MedianetAccess;
CREATE TABLE ma_MedianetAccess (
  ma_id int(11) NOT NULL auto_increment,
  ma_medianetid int(11) NOT NULL default '0',
  ma_userid varchar(50) NOT NULL default '',
  PRIMARY KEY  (ma_id)
) TYPE=MyISAM;

#
# Table structure for table 'mc_MediaClips'
#

DROP TABLE IF EXISTS mc_MediaClips;
CREATE TABLE mc_MediaClips (
  mc_id int(11) NOT NULL auto_increment,
  mc_tcin varchar(50) default NULL,
  mc_tcout varchar(50) default NULL,
  mc_link varchar(250) default NULL,
  mc_pubfrom date default NULL,
  mc_pubto date default NULL,
  mc_serverid int(11) NOT NULL default '0',
  mc_archiveid int(11) NOT NULL default '0',
  mc_userid varchar(50) NOT NULL default '',
  mc_mediafileid int(11) NOT NULL default '0',
  mc_isPublic tinyint(4) NOT NULL default '0',
  mc_name varchar(250) NOT NULL default '',
  mc_description text,
  mc_altlink varchar(250) default NULL,
  mc_state int(11) NOT NULL default '0',
  PRIMARY KEY  (mc_id)
) TYPE=MyISAM;

#
# Table structure for table 'mf_MediaFile'
#

DROP TABLE IF EXISTS mf_MediaFile;
CREATE TABLE mf_MediaFile (
  mf_id int(11) NOT NULL auto_increment,
  mf_file varchar(250) NOT NULL default '',
  mf_filename varchar(250) NOT NULL default 'mediafile.rm',
  mf_serverid int(11) NOT NULL default '0',
  mf_xsize int(11) NOT NULL default '240',
  mf_ysize int(11) NOT NULL default '180',
  mf_recstart datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (mf_id)
) TYPE=MyISAM;

#
# Table structure for table 'mn_MediaNets'
#

DROP TABLE IF EXISTS mn_MediaNets;
CREATE TABLE mn_MediaNets (
  mn_id int(11) NOT NULL auto_increment,
  mn_name varchar(50) NOT NULL default '',
  mn_description varchar(100) NOT NULL default '',
  PRIMARY KEY  (mn_id)
) TYPE=MyISAM;

#
# Table structure for table 'sc_ShowContent'
#

DROP TABLE IF EXISTS sc_ShowContent;
CREATE TABLE sc_ShowContent (
  sc_id int(11) NOT NULL auto_increment,
  sc_clipid int(11) NOT NULL default '0',
  sc_showid int(11) NOT NULL default '0',
  sc_pubfrom date default NULL,
  sc_pubto date default NULL,
  sc_ordernum int(11) default NULL,
  PRIMARY KEY  (sc_id)
) TYPE=MyISAM;

#
# Table structure for table 'se_Server'
#

DROP TABLE IF EXISTS se_Server;
CREATE TABLE se_Server (
  se_id int(11) NOT NULL auto_increment,
  se_address varchar(250) NOT NULL default '',
  se_name varchar(250) NOT NULL default '',
  se_description varchar(250) NOT NULL default '',
  se_type int(11) default NULL,
  PRIMARY KEY  (se_id)
) TYPE=MyISAM;

#
# Table structure for table 'sh_Show'
#

DROP TABLE IF EXISTS sh_Show;
CREATE TABLE sh_Show (
  sh_id int(11) NOT NULL auto_increment,
  sh_name varchar(250) NOT NULL default '',
  sh_description text,
  sh_userid varchar(50) NOT NULL default '',
  sh_isPublic char(2) NOT NULL default 'N',
  PRIMARY KEY  (sh_id)
) TYPE=MyISAM;

#
# Table structure for table 'sht_ShowType'
#

DROP TABLE IF EXISTS sht_ShowType;
CREATE TABLE sht_ShowType (
  sht_typenr int(11) NOT NULL default '0',
  sht_name varchar(50) NOT NULL default '',
  PRIMARY KEY  (sht_typenr)
) TYPE=MyISAM;

#
# Dumping data for table 'sht_ShowType'
#

INSERT INTO sht_ShowType (sht_typenr, sht_name) VALUES (1,'On-Demand Show');
INSERT INTO sht_ShowType (sht_typenr, sht_name) VALUES (2,'LiveStream Show');

#
# Table structure for table 'sk_Skin'
#

DROP TABLE IF EXISTS sk_Skin;
CREATE TABLE sk_Skin (
  sk_id int(11) NOT NULL auto_increment,
  sk_name varchar(100) NOT NULL default '',
  sk_userid varchar(50) NOT NULL default '',
  sk_bgcolor varchar(25) NOT NULL default '#FFFFFF',
  sk_textcolor varchar(25) NOT NULL default '#000000',
  sk_linkcolor varchar(25) NOT NULL default '#000000',
  sk_vlinkcolor varchar(25) NOT NULL default '#000000',
  sk_alinkcolor varchar(25) NOT NULL default '#000000',
  sk_fonttypes varchar(100) NOT NULL default 'Arial',
  sk_cinnamesize int(11) NOT NULL default '2',
  sk_cinnamebold char(2) NOT NULL default 'N',
  sk_shownamesize int(11) NOT NULL default '2',
  sk_shownamebold char(2) NOT NULL default 'N',
  sk_clipnamesize int(11) NOT NULL default '2',
  sk_clipnamebold char(2) NOT NULL default 'N',
  sk_cindescsize int(11) NOT NULL default '2',
  sk_cindescbold char(2) NOT NULL default 'N',
  sk_showdescsize int(11) NOT NULL default '2',
  sk_showdescbold char(2) NOT NULL default 'N',
  sk_clipdescsize int(11) NOT NULL default '2',
  sk_clipdescbold char(2) NOT NULL default 'N',
  sk_cinnamevisible char(2) NOT NULL default 'Y',
  sk_cindescvisible char(2) NOT NULL default 'Y',
  sk_shownamevisible char(2) NOT NULL default 'Y',
  sk_showdescvisible char(2) NOT NULL default 'Y',
  sk_clipnamevisible char(2) NOT NULL default 'Y',
  sk_clipdescvisible char(2) NOT NULL default 'Y',
  sk_topgif varchar(250) NOT NULL default 'http://',
  sk_backgif varchar(250) NOT NULL default 'http://',
  sk_backlink varchar(250) NOT NULL default 'http://',
  sk_toplink varchar(250) NOT NULL default 'http://',
  sk_width varchar(10) NOT NULL default '100%',
  sk_scrheight int(11) NOT NULL default '180',
  sk_scrwidth int(11) NOT NULL default '240',
  PRIMARY KEY  (sk_id)
) TYPE=MyISAM;

#
# Dumping data for table 'sk_Skin'
#

INSERT INTO sk_Skin (sk_id, sk_name, sk_userid, sk_bgcolor, sk_textcolor, sk_linkcolor, sk_vlinkcolor, sk_alinkcolor, sk_fonttypes, sk_cinnamesize, sk_cinnamebold, sk_shownamesize, sk_shownamebold, sk_clipnamesize, sk_clipnamebold, sk_cindescsize, sk_cindescbold, sk_showdescsize, sk_showdescbold, sk_clipdescsize, sk_clipdescbold, sk_cinnamevisible, sk_cindescvisible, sk_shownamevisible, sk_showdescvisible, sk_clipnamevisible, sk_clipdescvisible, sk_topgif, sk_backgif, sk_backlink, sk_toplink, sk_width, sk_scrheight, sk_scrwidth) VALUES (1,'Default','admin','#FFFFFF','#000000','#000000','#000000','#000000','Arial',2,'N',2,'N',2,'N',2,'N',2,'N',2,'N','Y','Y','Y','Y','Y','Y','http://','http://','http://','http://','100%',180,240);

#
# Table structure for table 'sn_ServerNets'
#

DROP TABLE IF EXISTS sn_ServerNets;
CREATE TABLE sn_ServerNets (
  sn_id int(11) NOT NULL auto_increment,
  sn_medianetid int(11) NOT NULL default '0',
  sn_serverid int(11) NOT NULL default '0',
  sn_priority int(11) NOT NULL default '0',
  PRIMARY KEY  (sn_id)
) TYPE=MyISAM;

#
# Table structure for table 'st_ServerType'
#

DROP TABLE IF EXISTS st_ServerType;
CREATE TABLE st_ServerType (
  st_typenr int(11) NOT NULL default '0',
  st_name varchar(50) NOT NULL default '',
  st_icon varchar(50) default NULL,
  PRIMARY KEY  (st_typenr)
) TYPE=MyISAM;

#
# Dumping data for table 'st_ServerType'
#

INSERT INTO st_ServerType (st_typenr, st_name, st_icon) VALUES (1,'Real Media System','realsystem.gif');
INSERT INTO st_ServerType (st_typenr, st_name, st_icon) VALUES (2,'Windows Media Server','wms.gif');
INSERT INTO st_ServerType (st_typenr, st_name, st_icon) VALUES (3,'Quicktime','quicktime.gif');
INSERT INTO st_ServerType (st_typenr, st_name, st_icon) VALUES (4,'Real Live Stream','');

